org.apache.sis.metadata.iso.constraint

## Class DefaultReleasability

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultReleasability

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject

      @UML(identifier="MD_Releasability",
           specification=ISO_19115)
      public class DefaultReleasability
      extends ISOMetadata

  Information about resource release constraints.
  Note on International Standard versions
  This class is derived from a new type defined in the ISO 19115 international standard published in 2014, while GeoAPI 3.0 is based on the version published in 2003. Consequently this implementation class does not yet implement a GeoAPI interface, but is expected to do so after the next GeoAPI releases. When the interface will become available, all references to this implementation class in Apache SIS will be replaced be references to the `Releasability` interface.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.5
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultReleasability()` Creates an initially empty releasability.
    `DefaultReleasability(DefaultReleasability object)` Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<DefaultResponsibility>` | `getAddressees()` Returns the parties to which the release statement applies.
    `void` | `getAddressees(Collection<? extends DefaultResponsibility> newValues)` Sets the parties to which the release statement applies.
    `Collection<Restriction>` | `getDisseminationConstraints()` Components in determining releasability.
    `void` | `getDisseminationConstraints(Collection<? extends Restriction> newValues)` Sets the components in determining releasability.
    `InternationalString` | `getStatement()` Returns the release statement.
    `void` | `setStatement(InternationalString newValue)` Sets the release statement.

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultReleasability

          public DefaultReleasability()

      Creates an initially empty releasability.

    - #### DefaultReleasability

          public DefaultReleasability(DefaultReleasability object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.

  - ### Method Detail

    - #### getAddressees

          @UML(identifier="addressee",
               obligation=OPTIONAL,
               specification=ISO_19115)
          public Collection<DefaultResponsibility> getAddressees()

      Returns the parties to which the release statement applies.
      Upcoming API change — generalization
      The element type will be changed to the `Responsibility` interface when GeoAPI will provide it (tentatively in GeoAPI 3.1).
      Returns:
        parties to which the release statement applies.

    - #### getAddressees

          public void getAddressees(Collection<? extends DefaultResponsibility> newValues)

      Sets the parties to which the release statement applies.
      Upcoming API change — generalization
      The element type will be changed to the `Responsibility` interface when GeoAPI will provide it (tentatively in GeoAPI 3.1).
      Parameters:
        `newValues` - the new parties.

    - #### getStatement

          @UML(identifier="statement",
               obligation=OPTIONAL,
               specification=ISO_19115)
          public InternationalString getStatement()

      Returns the release statement.
      Returns:
        release statement, or `null` if none.

    - #### setStatement

          public void setStatement(InternationalString newValue)

      Sets the release statement.
      Parameters:
        `newValue` - the new release statement.

    - #### getDisseminationConstraints

          @UML(identifier="disseminationConstraints",
               obligation=OPTIONAL,
               specification=ISO_19115)
          public Collection<Restriction> getDisseminationConstraints()

      Components in determining releasability.
      Returns:
        components in determining releasability.

    - #### getDisseminationConstraints

          public void getDisseminationConstraints(Collection<? extends Restriction> newValues)

      Sets the components in determining releasability.
      Parameters:
        `newValues` - the new components.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.